Skip to Content
avatar image
Former Member

which is the MYSQL version compatible with SAP PI 7.0

Dear friends,

can any body tell me which is the MYSQL version compatible with SAP PI 7.0, i m getting the below error , some body told me, may be the MYSQL version is not compatible with PI 7.0

Message processing failed. Cause: com.sap.aii.af.ra.ms.api.RecoverableException: Error when attempting to get processing resources: com.sap.aii.af.service.util.concurrent.ResourcePoolException: Unable to create new pooled resource: DriverManagerException: Cannot establish connection to URL 'jdbc:mysql://192.168.51.50:3306/stagingdb': SAPClassNotFoundException: com.mysql.jdbc.Driver

rgds

mojib

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Nov 03, 2009 at 01:08 PM

    Hi ,

    I dont think you are getting error because of version of MYSQL,i think driver properly not installed or check the connection details in communication chennel.PI supports 4.0 and 5.0 ..and older version too..

    Regards,

    Raj

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Nov 03, 2009 at 01:57 PM

    Hi Mojib,

    This is not related to the version.

    The error saying that it is unable to establish the connection to the data base. so check the connection and URL of the data base

    or

    May be database reached maximum no. of pooled resources, so you (DB side guys) have to cancle the old connections.

    For more details check this thread

    ResourcePoolException

    Regards

    Ramesh

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Nov 04, 2009 at 05:46 AM

    Hi,

    This error not related to version, this is related to connection or database space.

    please check DB & table space in reciver system.

    Thanks

    Sivaram

    Add comment
    10|10000 characters needed characters exceeded